package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Task;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-21
 */
public interface TaskMapper extends BaseMapper<Task> {
    @Insert("insert into task (title,subtitle,start,end) values (#{title},#{subtitle},#{start},#{end})")
    int add(Task task);
//    @Select("<script>"+
//    " SELECT  t1.* <if test='openid!=null'> ,(SELECT count(*)!=0 from userTask as t2,user as t3 WHERE t1.id = t2.taskId and t2.userId = t3.id and t3.openid = #{openid} ) as isReceived </if> from task as t1"
//        +"</script>")
//    IPage<Task> taskList(IPage<Task> page,String openid);
    @Select("SELECT id from task")
    IPage<Integer> taskIdList(IPage iPage);
    List<Task> taskList(String openid,List<Integer> list);
}
