package com.zh.project0512.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Task;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author zh
 * @since 2022-05-21
 */
public interface ITaskService extends IService<Task> {
    public void add(Task task);
    IPage<Task> selectPage(IPage<Task> page, @Param("ew") Wrapper<Task> queryWrapper);
    IPage<Integer> taskIdList(IPage iPage);
    List<Task> taskList(String openid,List<Integer> list);
}
