package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.mapper.ReferenceGroupMapper;
import com.zh.project0512.model.Reference;
import com.zh.project0512.mapper.ReferenceMapper;
import com.zh.project0512.model.ReferenceGroup;
import com.zh.project0512.service.IReferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-23
 */
@Service
public class ReferenceServiceImpl extends ServiceImpl<ReferenceMapper, Reference> implements IReferenceService {
    @Autowired
    private ReferenceMapper referenceMapper;
    public IPage<Reference> selectPage(IPage<Reference> page, @Param("ew") Wrapper<Reference> queryWrapper){
        return referenceMapper.selectPage(page,queryWrapper);
    }
}
