package com.zh.project0512.serviceImpl;

import com.zh.project0512.model.UserReference;
import com.zh.project0512.mapper.UserReferenceMapper;
import com.zh.project0512.service.IUserReferenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Service
public class UserReferenceServiceImpl extends ServiceImpl<UserReferenceMapper, UserReference> implements IUserReferenceService {
    @Autowired
    private UserReferenceMapper userReferenceMapper;

    public List<Map> ListByOpenid(String opneid) {
        return userReferenceMapper.ListByOpenid(opneid);
    }
}
