package com.zh.project0512.mapper;

import com.zh.project0512.model.UserReference;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
public interface UserReferenceMapper extends BaseMapper<UserReference> {
    @Select("select t3.* from user as t1,userReference as t2,reference as t3 where t1.openid = #{id} and t1.id = t2.userId and t2.referenceId =t3.id" )
    List<Map> ListByOpenid(String openid);
}
