package com.zh.project0512.serviceImpl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Task;
import com.zh.project0512.mapper.TaskMapper;
import com.zh.project0512.service.ITaskService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author zh
 * @since 2022-05-21
 */
@Service
public class TaskServiceImpl extends ServiceImpl<TaskMapper, Task> implements ITaskService {
    @Autowired
    private TaskMapper taskMapper;

    public void add(Task task) {
        taskMapper.add(task);
    }

    public IPage<Task> selectPage(IPage<Task> page, @Param("ew") Wrapper<Task> queryWrapper) {
        return taskMapper.selectPage(page, queryWrapper);
    }

    public IPage<Integer> taskIdList(IPage iPage) {
    return  taskMapper.taskIdList(iPage);
    }

    public List<Task> taskList(String openid,List<Integer> list) {
        return taskMapper.taskList(openid,list);
    }
}
